Bug 476451 - X server consumes 100% CPU time and unresponsive from time to time
X server consumes 100% CPU time and unresponsive from time to time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 17:09 EST by Hin-Tak Leung
Modified: 2010-06-28 06:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:57:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace collected from system via ssh in during the problem (1.88 KB, text/plain)
2008-12-14 17:09 EST, Hin-Tak Leung
no flags Details
another backtrace (1.14 KB, text/plain)
2008-12-18 19:47 EST, Hin-Tak Leung
no flags Details
more backtrace - (1.96 KB, text/plain)
2008-12-21 18:34 EST, Hin-Tak Leung
no flags Details
another backtrace (1.08 KB, text/plain)
2008-12-22 18:10 EST, Hin-Tak Leung
no flags Details
another gdb backtrace (1.50 KB, text/plain)
2008-12-22 19:46 EST, Hin-Tak Leung
no flags Details
more gdb backtrace (1.81 KB, text/plain)
2008-12-23 19:47 EST, Hin-Tak Leung
no flags Details
another (1.97 KB, text/plain)
2008-12-31 23:56 EST, Hin-Tak Leung
no flags Details
more backtrace (1.79 KB, text/plain)
2009-03-16 11:47 EDT, Hin-Tak Leung
no flags Details
another backtrace (1.06 KB, text/plain)
2009-03-24 14:13 EDT, Hin-Tak Leung
no flags Details
more gdb backtrace (1.08 KB, text/plain)
2009-03-27 20:53 EDT, Hin-Tak Leung
no flags Details
tx clamp patch ported over from the one in radeon/ati (1.36 KB, patch)
2009-04-23 23:15 EDT, Hin-Tak Leung
no flags Details | Diff

  None (edit)
Description Hin-Tak Leung 2008-12-14 17:09:39 EST
Created attachment 326888 [details]
gdb backtrace collected from system via ssh in during the problem

Description of problem:

X server consumes 100% CPU time, system unresponsive.

Version-Release number of selected component (if applicable):

kernel-2.6.27.9-155.fc10 
xorg-x11-drv-radeonhd-1.2.4-1.1.20081212git.fc10 

both from koji

How reproducible:
Once so far, but have quite a few when I was using the radeon driver
(see related bug in footnotes)

Steps to Reproduce:
1. normal usage
2. once in a while, system becomes unresponsive, mouse pointer still moves
but screen no longer updates.
3.
  
Actual results:
normal usage.


Expected results:
system unresponsive.

Additional info:
can still ssh in, so I have a gdb back trace, (will attach). See also related bug (https://bugzilla.redhat.com/show_bug.cgi?id=472304 )
Comment 1 Hin-Tak Leung 2008-12-18 19:47:58 EST
Created attachment 327395 [details]
another backtrace

same radeonhd version as last, new kernel -159.
Comment 2 Hin-Tak Leung 2008-12-21 18:34:57 EST
Created attachment 327598 [details]
more backtrace - 

libdrm-2.4.3-0.1.fc10 
kernel-2.6.27.9-163.fc10
mesa-dri-drivers-7.2-0.15.fc10
xorg-x11-drv-radeonhd-1.2.4-1.1.20081212git.fc10 

Happened when I was dragging a gnome term window. I had an impression that it might be about dragging it over the (right) edge on the desktop.
Comment 3 Hin-Tak Leung 2008-12-22 18:10:25 EST
Created attachment 327711 [details]
another backtrace

I think I can reliably generates a hang by resizing an xpdf window via its corners.
Comment 4 Hin-Tak Leung 2008-12-22 19:46:56 EST
Created attachment 327719 [details]
another gdb backtrace

another one in 6 hours.
Comment 5 Hin-Tak Leung 2008-12-23 19:47:23 EST
Created attachment 327780 [details]
more gdb backtrace

Not too soon after the last one.
Comment 6 Hin-Tak Leung 2008-12-31 23:56:03 EST
Created attachment 328029 [details]
another

with 2.6.27.10-167.fc10.x86_64, while resizing a gnome file save dialog.
(seems resizing/moving windows can trigger this from time to time)
Comment 7 Hin-Tak Leung 2009-03-05 22:03:15 EST
Well, there is a new change that I haven't noticed before - now when it happens, Xorg.0.log records a lot of:

(WW) RADEONHD(0): DRMCPIdle: DRM CP IDLE returned BUSY!

It is not particularly surprising since that DRMCPIdle seems to be mentioned in many of the stack traces.

xorg-x11-drv-radeonhd-1.2.4-1.2.20081212git.fc10.x86_64
kernel 2.6.29-0.53.rc7.fc10.x86_64
libdrm-2.4.5-0.fc10.x86_64
Comment 8 Hin-Tak Leung 2009-03-16 11:47:20 EDT
Created attachment 335361 [details]
more backtrace

xorg-x11-drv-radeonhd-1.2.4-2.4.20090306git.fc10.x86_64, rebuild from fc11 package from koji.

kernel 2.6.29-0.61.rc8.fc10.x86_64
Comment 9 Hin-Tak Leung 2009-03-24 14:13:27 EDT
Created attachment 336515 [details]
another backtrace

happened while using openoffice impress this time. (first time with this app, but then I don't use oo.org too often - xpdf is very easy to trigger this bug and I have switched to acroread just to avoid it...)...

new kernel, otherwise same version as last time.
Comment 10 Hin-Tak Leung 2009-03-27 20:53:55 EDT
Created attachment 337083 [details]
more gdb backtrace

same versions of things as last. This time I also do  
"echo 1 > /sys/module/drm/parameters/debug" - and found that dmesg is flooded with these 5 lines over and over:

----------
[drm:radeon_do_wait_for_fifo] wait for fifo failed status : 0xB803E100 0x00080000
[drm:drm_ioctl] ret = fffffff0
[drm:drm_ioctl] pid=2773, cmd=0x6444, nr=0x44, dev 0xe200, auth=1
[drm:radeon_cp_idle] 
[drm:radeon_do_cp_idle] 
---------
pid 2773 is /usr/bin/Xorg, the X server's process id.

Is the ret = fffffff0 or radeon_do_wait_for_fifo status useful to anybody?
Comment 11 Hin-Tak Leung 2009-04-23 21:16:23 EDT
Seems like the ati driver got the equivalent bug sorted with
xorg-x11-drv-ati-6.12.2-5.fc11.x86_64 - Bug 493068 - wanna see if something can be learned in that direction?
Comment 12 Hin-Tak Leung 2009-04-23 23:15:36 EDT
Created attachment 341052 [details]
tx clamp patch ported over from the one in radeon/ati

I ported over the tx clamp change by Dave Airlie to the ati/radeon driver. It seems to do a lot of good with my hardware; I am hoping similiar improve the situation with radeonhd as well.

Please review, comment, and possibly commit upstream.
Comment 13 Matěj Cepl 2009-04-24 03:08:00 EDT
Dave?
Comment 14 Bug Zapper 2009-06-09 06:16:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Matěj Cepl 2009-11-05 13:21:08 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 16 Hin-Tak Leung 2009-11-26 20:16:32 EST
Have not experienced this (the ati equivalent) since upgrading to F12 - 4 days ago, which undo the patch I had.
Comment 17 Bug Zapper 2010-04-27 08:31:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-06-28 06:57:00 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.